Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001964graphvizDotpublic2010-09-27 16:242012-02-29 14:37
ReporterRandy Smith 
Assigned Toerg 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-Ubuntu 2.6.32OS Version
Summary0001964: Assertion crash in minicross.c:846
Description


When I run dot with no arguments on the attached file, I get a



dot: mincross.c:846: install_in_rank: Assertion `(g)->u.rank[r].n <= (g)->u.rank[r].an' failed.



followed by a core dump.



Note that I don't believe this is OS specific; I was also getting a crash on Mac OS X, and
and switched over to linux to see if there was anything coming out on stderr (as there was).
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID2045
INPUT-FILEhttp://www.graphviz.org/bugs/b2045.gv [^]
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.20.2
Attached Files

- Relationships

-  Notes
User avatar (0000191)
adrien (reporter)
2012-02-23 14:58

Hi,

I stumbled on this issue too but finally found the root of the issue: there are several subgraphs with the same name. The assert is probably right but graphviz should give a corresponding error instead of an assert (and there is no comment/description for the assert() in the code).
User avatar (0000200)
erg (administrator)
2012-02-29 14:37

Sorry for the trouble. There is the assumption that clusters form a tree, both as named objects and as sets of nodes. At present, we rely on the user to guarantee this. I have added an appropriate warning, but the abort will still occur. When we move to the new graph library, the problem of name clashes will go away.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user1
2012-02-23 14:58 adrien Note Added: 0000191
2012-02-29 14:37 erg Note Added: 0000200
2012-02-29 14:37 erg Assigned To gviz => erg
2012-02-29 14:37 erg Status acknowledged => closed
2012-02-29 14:37 erg Resolution open => fixed
2012-02-29 14:37 erg Description Updated View Revisions


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker